Skip to main content
GET
/
v6
/
taxes
/
setup
Get tax profile
curl --request GET \
  --url https://sandbox.tight.com/v6/taxes/setup \
  --header 'Authorization: Bearer <token>'
{
  "result": "SUCCESS",
  "data": {
    "countryCode": "USA",
    "state": "DC",
    "filingStatus": {
      "federal": "SINGLE",
      "state": "SINGLE"
    },
    "annualW2Income": 1000000,
    "withholding": {
      "useWithholding": true,
      "federalWithholding": 100051,
      "stateWithholding": 100051
    },
    "numExemptions": 1,
    "tipIncome": 500000,
    "overtimeIncome": 300000,
    "homeOffice": {
      "useHomeOfficeDeduction": true,
      "homeOfficeArea": 250.5
    },
    "mileage": {
      "useEstimate": true,
      "estimate": 1000,
      "useMileageDeduction": false,
      "vehicleBusinessPercent": "49.9"
    },
    "expenses": {
      "useEstimate": true,
      "estimate": 55176
    },
    "income": {
      "useEstimate": true,
      "estimate": 55176
    },
    "isSetupComplete": true
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, see Authentication for more detail.

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object

The data generated by the action performed.